# Un programa para realizar la
# prueba T de Student sobre dos
# conjuntos de datos de una distribución
# gausiana
#
#  01.03.2022
#  Fraga

import numpy as np
import scipy.stats as stats
import sys

# Si suponemos que tenemos dos distribuciones
# gausiana, necesitamos sus medias y por ahora
# suponemos la misma varianza. Las dos medias
# las obtengo en la línea de comandos
n = len( sys.argv )
if n != 3 :
	print( "Args: media1 media2" )
	sys.exit(1)

m1 = float( sys.argv[1] )
m2 = float( sys.argv[2] )

# Si la varianza es muy pequeña se tendrían que usar
# mucho más que 30 muestras
sigma = 0.1

# Aquí generamos los datos
va = np.random.normal( m1, sigma, 30 )
vb = np.random.normal( m2, sigma, 30 )

# Y hacemos la prueba T de Student
# Aquí la hipótesis nula es que ambas distribuiones con iguales
statistic, valorp = stats.ttest_ind( va, vb )
if valorp > 0.05 :
 	print( "Las medias son iguales con p=0.05" )
else :	
	print( "Las medias son diferentes com p=0.05" )

	print("Hacemos la prueba de cuál es mejor")

	# Aquí la hipótesis nula es que la distribuión va es mejor
	statistic, valorp = stats.ttest_ind( va, vb, alternative='less' )
	if valorp > 0.05 :
		print( "La media de la primera distribución es mejor con p=0.05" )
	else: 
	 	print( "La media de la primera distribución es no mejor con p=0.05" )
	
	# Aquí la hipótesis nula es que la distribuión vb es mejor
	statistic, valorp = stats.ttest_ind( va, vb, alternative='greater' )
	if valorp > 0.05 :
	 	print( "La media de la segunda distribución es mejor con p=0.05" )
	else: 
	 	print( "La media de la segunda distribución no es mejor con p=0.05" )
