# Un programa para realizar la
# prueba T de Student sobre dos
# conjuntos de datos de una distribución
# gausiana
#
#  01.03.2022
#  Fraga

import numpy as np
import scipy.stats as stats
import sys

# Si suponemos que tenemos dos distribuciones
# gausiana, necesitamos sus medias y por ahora
# suponemos la misma varianza. Las dos medias
# las obtengo en la línea de comandos
n = len( sys.argv )
if n != 5 :
	print( "Args: media1 dev_est_1 media2 dev_est_2" )
	sys.exit(1)

m1 = float( sys.argv[1] )
sigma1 = float( sys.argv[2] )

m2 = float( sys.argv[3] )
sigma2 = float( sys.argv[4] )

# Aquí generamos los datos
va = np.random.normal( m1, sigma1, 30 )
vb = np.random.normal( m2, sigma2, 30 )

# Y hacemos la prueba T de Student
statistic, valorp = stats.wilcoxon( va, vb, correction=True )
if valorp > 0.05 :
 	print( "Las medias son iguales con p=0.05" )
else :	
	statistic, valorp = stats.wilcoxon( va, vb, correction=True, alternative='less'  )
	# H0: A es mejor que B
	# H1: B es mejor que A
	if valorp > 0.05 :
 		print( "A es mejor" )
	else :
 		print( "B es mejor" )
